When entering physics range of another vessel, all its drills stop working
Description

Description

When moving towards a drilling station, either on land or flying, as soon as it comes into physics range, all its drills stop working and
say "drill moving" instead. All drills have to be restarted manually whenever this happens.

This is especially annoying on colonies, where it causes drills to stop on other vessels nearby when landing a resupply ship near the

main base. And particularly (when not just playing stock) if this causes life support resources to no longer be generated and you don't
even notice the drills have stopped until everybody is dead.

Steps to reproduce

1. Have vessel with drills, turn them on, check that they're working.
2. Switch to another vessel outside of physics range.

3. Move towards the drilling vessel.

4. When in physics range, check whether the drills are operating.

Expected outcome

The drills are unaffected and continue to work.

Actual outcome

All drills are stopped.

Further information

Note that if the second vessel is on a suborbital flight, and you switch to the drilling station during the time that it enters its physics
range, and then once it's inside switch back to land it, the drills don't stop. They only stop if a drilling vessel is coming into range
while it's not the active vessel. So this is currently my workaround, somewhat dangerous to switch seconds before landing but still
much less annoying than having to restart all drills.

| have attached a savegame to show this behaviour, just switch to the drill vessel to check that the drills are indeed running, then
switch back to the car and drive towards the drills. As soon as its physics range is reached, verify that the drills have stopped.

Running KSP 1.1.3 on Ubuntu 16.04.1, no mods. | have seen this problem in 1.0.5 so it's not new but | only now figured out what
exactly is causing the drills to stop running.

History

#1-10/21/2016 02:28 AM - JPLRepo
- Status changed from New to Ready to Test
- Target version set to 1.2.0

- % Done changed from 0 to 80
#2 - 10/21/2016 11:42 PM - JPLRepo
- Status changed from Ready to Test to Being Worked On
- % Done changed from 80 to 30

#4 - 11/02/2016 06:22 AM - JPLRepo
- Status changed from Being Worked On to Ready to Test
- Target version changed from 1.2.0 to 1.2.1

- % Done changed from 30 to 80

#5 - 11/03/2016 04:55 PM - jd284
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Fixed in 1.2.1, thanks for the good work.

#6 - 11/04/2016 05:19 AM - JPLRepo

- Status changed from Resolved to Closed
